CheckDataFlowServiceNameDuplication

1 - 1.1

get /v1/data-flow-services/{data_flow_service_name}/check-duplication

Description

Check Duplication Data Flow Service Name. (false: no duplicate value, true: duplicate value)

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_name
required
Data flow service name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowServiceCheckDuplicationResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

{
    "result": ""
}

2 - 1.0

get /v1/data-flow-services/{data_flow_service_name}/check-duplication

Description

Check Duplication Data Flow Service Name. (false: no duplicate value, true: duplicate value)

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
pathdata_flow_service_name
required
Data flow service name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDataFlowServiceCheckDuplicationResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services/{data_flow_service_name}/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 200

{
    "result": ""
}